القائمة

apiDecideReturn

تعديليتطلب مفتاحًا

الوسائط

الاسمالنوعالوصف
approveBoolean!مطلوب
idempotencyKeyString!مطلوب
noteString
rmaIdString!مطلوب

يُرجع

RmaView!

مثال

GraphQL
mutation ApiDecideReturn($approve: Boolean!, $idempotencyKey: String!, $note: String, $rmaId: String!) {
  apiDecideReturn(approve: $approve, idempotencyKey: $idempotencyKey, note: $note, rmaId: $rmaId) {
    approvedMillimes
    completedAt
    contactName
    contactPhone
    createdAt
    customerHistory {
      completed
      lastYear
      refundedMillimes
      rejected
      total
    }
    customerId
    customerNote
    decidedAt
    decidedByUserId
    decisionNote
    disputeCaseId
    disputeSuggestion {
      kind
      reason
    }
    dueAt
    eligibilityOutcome
    eligibilitySnapshotJson
    exchange {
      completedAt
      differenceSettlement
      priceDifferenceMillimes
      quantity
      replacementSliceId
      replacementSliceNo
      replacementSliceStatus
      shippedAt
      shipsBeforeReturn
      status
      targetLabel
      targetOfferId
      targetSku
      targetUnitPriceMillimes
      targetVariantId
    }
    heldForDispute
    id
    imageUrls
    inspectedAt
    items {
      approvedQty
      condition
      id
      imagePath
      imageUrls
      lineQuantity
      orderLineId
      orderSliceId
      quantity
      reason
      receivedQty
      restocked
      sku
      title
      unitPriceMillimes
      unitRefundMillimes
      variantLabel
    }
    logistics {
      arrivalId
      arrivedAt
      kind
      mode
      processedAt
      status
    }
    messages {
      authorKind
      authorName
      authorUserId
      body
      createdAt
      id
      imageUrls
      internal
    }
    orderId
    orderNo
    overdue
    pickup {
      attempts
      cancellable
      completedAt
      day
      driverName
      failureReason
      inProgress
      plannedAt
      routeId
      routeReference
      routeStatus
      status
      stopId
    }
    pickupCollectedAt
    policySnapshotJson
    reason
    receivedAt
    refundedMillimes
    refunds {
      approvedAt
      approvedByUserId
      attempts
      createdAt
      createdByUserId
      executedAt
      failureMessage
      id
      note
      orderId
      orderNo
      reason
      requiresApproval
      rmaId
      status
      totalMillimes
    }
    requestedMillimes
    resolution
    restockingFeeMillimes
    returnCarrierCode
    returnCarrierRuleId
    returnDeadlineAt
    returnFeeMillimes
    returnMethod
    returnShipment {
      attempts
      carrierCode
      carrierName
      hasAcknowledgement
      kind
      lastEventAt
      lastStatusText
      shipmentId
      status
      trackingNumber
      trackingUrl
    }
    returnShippingPayer
    riskHold {
      amountMillimes
      capturedMillimes
      expiresAt
      state
    }
    rmaNo
    sellerContestedAt
    status
    unreturnedReportedAt
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"mutation ApiDecideReturn($approve: Boolean!, $idempotencyKey: String!, $note: String, $rmaId: String!) { apiDecideReturn(approve: $approve, idempotencyKey: $idempotencyKey, note: $note, rmaId: $rmaId) { approvedMillimes completedAt contactName contactPhone createdAt customerHistory { completed lastYear refundedMillimes rejected total } customerId customerNote decidedAt decidedByUserId decisionNote disputeCaseId disputeSuggestion { kind reason } dueAt eligibilityOutcome eligibilitySnapshotJson exchange { completedAt differenceSettlement priceDifferenceMillimes quantity replacementSliceId replacementSliceNo replacementSliceStatus shippedAt shipsBeforeReturn status targetLabel targetOfferId targetSku targetUnitPriceMillimes targetVariantId } heldForDispute id imageUrls inspectedAt items { approvedQty condition id imagePath imageUrls lineQuantity orderLineId orderSliceId quantity reason receivedQty restocked sku title unitPriceMillimes unitRefundMillimes variantLabel } logistics { arrivalId arrivedAt kind mode processedAt status } messages { authorKind authorName authorUserId body createdAt id imageUrls internal } orderId orderNo overdue pickup { attempts cancellable completedAt day driverName failureReason inProgress plannedAt routeId routeReference routeStatus status stopId } pickupCollectedAt policySnapshotJson reason receivedAt refundedMillimes refunds { approvedAt approvedByUserId attempts createdAt createdByUserId executedAt failureMessage id note orderId orderNo reason requiresApproval rmaId status totalMillimes } requestedMillimes resolution restockingFeeMillimes returnCarrierCode returnCarrierRuleId returnDeadlineAt returnFeeMillimes returnMethod returnShipment { attempts carrierCode carrierName hasAcknowledgement kind lastEventAt lastStatusText shipmentId status trackingNumber trackingUrl } returnShippingPayer riskHold { amountMillimes capturedMillimes expiresAt state } rmaNo sellerContestedAt status unreturnedReportedAt } }"}'